Subject: Re: [PATCH] linux-next: 20090929 - android driver build breaks

From: Greg KH <[email-masked]>
Date: Thu, 8 Oct 2009 17:22:30 -0700

On Thu, Oct 08, 2009 at 04:48:23PM -0700, David Rientjes wrote:
> On Thu, 8 Oct 2009, Greg KH wrote:
> 
> > > What are you specifically referring to?  Kamalesh provided a patch[*] that 
> > > fixes this particular compile error, which you said you were queueing.
> > 
> > Hm, I did say I was queueing it, but I still can't figure out if this is
> > needed for the 2.6.32 tree.  Is it?
> > 
> 
> Yes, 28b83c5 was merged during the merge window for 2.6.32 so this needs 
> to be pushed for the staging tree if it's not ripped out.

Ok, I'll dig it up, thanks.

> > > If it's a criticism of the staleness of the Android code within the 
> > > staging tree or no recent activity, then we should probably loop in some 
> > > Android developers to find our about their plans.  I've added them to the 
> > > cc.
> > 
> > They know all about this and agreed that the code should be dropped for
> > 2.6.33 if no one sends me patches.  If someone does, then I will remove
> > my 'delete the android code' patch in the staging tree.
> > 
> 
> I don't work with Android, but the "no support from Google" phrase caught 
> my attention :)  It seems like this isn't necessarily about support or 
> raised issues not being addressed, but rather about a lack of progress 
> being made developmentally or a general lack of interest in upstream 
> inclusion.

Yes, that is exactly correct.

thanks,

greg k-h